Metaproperty options

Create option

Create a new option.

Note: when the name you provide differs from the option’s label, Bynder automatically assigns that name value as the option’s externalReference. Explicitly setting externalReference to null or an empty string does not prevent this. To store a specific external reference, pass the desired value in the externalReference field.

post
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}/options

Path Parameters

metapropertyIdstring(uuid)required

Body

application/json

MetapropertyOptionInput

definitionstring
externalReferencestring
iconstring
namestringrequired

Response

application/json

ExistingOptionStreamOutput

definitionstring
iconstringrequired
idstring(uuid)required
namestringrequired
statusstringrequired
post/api/1/taxonomy/metaproperties/{metapropertyId}/options

Body

{ "name": "name" }
 
application/json

Delete option

Delete an option by id

delete
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}/options/{optionId}

Path Parameters

metapropertyIdstring(uuid)required
optionIdstring(uuid)required

Response

application/json

OptionDeletedOutput

messagestringrequired
delete/api/1/taxonomy/metaproperties/{metapropertyId}/options/{optionId}
 
application/json

Modify option

Modify an option by id

patch
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}/options/{optionId}

Path Parameters

metapropertyIdstring(uuid)required
optionIdstring(uuid)required

Body

application/json

MetapropertyOptionUpdateInput

definitionstring
externalReferencestring
iconstring
namestring

Response

application/json

OptionUpdatedOutput

messagestringrequired
patch/api/1/taxonomy/metaproperties/{metapropertyId}/options/{optionId}

Body

{}
 
application/json

Options - Old API (Please use new API if possible)

Retrieve options by ids

get
https://{your-bynder-domain}/api/v4/metaproperties/options

Query Parameters

idsstringrequired

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

Response

application/json

A list of options

get/api/v4/metaproperties/options
 
application/json